---
title: "Active rig counts for a region as of a date."
url: "https://developer.argaam.com/apis/macroeconomic-layer-api-production-v1/versions/eeada0b4-178b-4972-8713-f497c9940530/operations/getPetrochemicalsRigCounts"
---

> Full API specification: https://developer.argaam.com/apis/macroeconomic-layer-api-production-v1/versions/eeada0b4-178b-4972-8713-f497c9940530.md

# Active rig counts for a region as of a date.

`GET` `/api/v1.1/petrochemicals/rig-counts`

Operation ID: `getPetrochemicalsRigCounts`

Rig counts are a classic **leading indicator** for upstream oil & gas activity, and a useful sentiment proxy for mid-stream and downstream sectors. ### Example ``` GET /api/v1.1/petrochemicals/rig-counts?regionId=4&asOf=2024-01-15 ```

## Query parameters

- `regionId` (integer, int32, optional) - Region ID.
- `asOf` (string, optional) - As-of date (`yyyy-MM-dd`).

## Responses

- `200` - Success

## OpenAPI definition

````yaml
openapi: 3.0.1
info:
  title: Macroeconomic Layer API
  version: v1.1
servers:
  - url: https://api.argaam.com
    description: Argaam API Gateway (Production)
paths:
  /api/v1.1/petrochemicals/rig-counts:
    get:
      tags:
        - Petrochemicals
      parameters:
        - name: regionId
          in: query
          description: Region ID.
          schema:
            type: integer
            format: int32
          example: 1
        - name: asOf
          in: query
          description: As-of date (`yyyy-MM-dd`).
          schema:
            type: string
          example: 2024-01-15
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/RigCount"
      summary: Active rig counts for a region as of a date.
      description: "Rig counts are a classic **leading indicator** for upstream\r

        oil & gas activity, and a useful sentiment proxy for\r

        mid-stream and downstream sectors.\r

        \            \r

        ### Example\r

        ```\r

        GET /api/v1.1/petrochemicals/rig-counts?regionId=4&asOf=2024-01-15\r

        ```"
      operationId: getPetrochemicalsRigCounts
security:
  - ApiKeyAuth: []
components:
  schemas:
    RigCount:
      type: object
      properties:
        rigCountID:
          type: integer
          format: int32
        forDate:
          type: string
          format: date-time
        oilRigCount:
          type: number
          format: double
          nullable: true
        regionID:
          type: integer
          format: int32
          nullable: true
        gasRigCount:
          type: number
          format: double
          nullable: true
        misc:
          type: number
          format: double
          nullable: true
        total:
          type: number
          format: double
          nullable: true
        dataFor:
          type: string
          nullable: true
        regionNameAr:
          type: string
          nullable: true
        regionNameEn:
          type: string
          nullable: true
        announceDate:
          type: string
          format: date-time
        close:
          type: number
          format: double
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
````
